(no subject)

HI everyone!
  I have tried to install graph_tool by compiling source code.But for many
times , it reports:
              virtual memory exhausted: Cannot allocate memory
  My PC has a 4G main memory and Intel i5 CPU.I thought 4G is enough.

  Then I tried to install by apt-get, and came up with a problem.
  I have already installed these library before, and versions are right.

graph-tool : Depends: libboost-iostreams1.42.0 (>= 1.42.0-1) but it is not
installable
              Depends: libboost-python1.42.0 (>= 1.42.0-1) but it is not
installable
              Depends: libboost-regex1.42.0 (>= 1.42.0-1) but it is not
installable
              Depends: libcgal5 but it is not installable
              Depends: libpython2.6 (>= 2.6) but it is not installable
              Depends: libboost1.42-dev but it is not installable

  Can anyone help me ?
  By the way,how to use the public key ?
  I have tried "apt-key add signature.asc",but it reports:
              gpg: no valid OpenPGP data found.

attachment.html (1.08 KB)

HI everyone!
  I have tried to install graph_tool by compiling source code.But for many times , it reports:
              virtual memory exhausted: Cannot allocate memory
  My PC has a 4G main memory and Intel i5 CPU.I thought 4G is enough.

Strange, 4GB should be enough. What GCC version are you using?

  Then I tried to install by apt-get, and came up with a problem.
  I have already installed these library before, and versions are right.

graph-tool : Depends: libboost-iostreams1.42.0 (>= 1.42.0-1) but it is not installable
              Depends: libboost-python1.42.0 (>= 1.42.0-1) but it is not installable
              Depends: libboost-regex1.42.0 (>= 1.42.0-1) but it is not installable
              Depends: libcgal5 but it is not installable
              Depends: libpython2.6 (>= 2.6) but it is not installable
              Depends: libboost1.42-dev but it is not installable

  Can anyone help me ?

What GNU/Linux distribution do you have, Debian or Ubuntu? What version?

  By the way,how to use the public key ?
  I have tried "apt-key add signature.asc",but it reports:
              gpg: no valid OpenPGP data found.

The pgp server at skewed.de is currently down, so you probably just
downloaded a 404 page. I'll fix this soon. In the meantime you can get
the key from any other gpg server out there.

Cheers,
Tiago

I too get this error

make[4]: Entering directory `/graph-tool/build/src/graph/layout'
  CXX graph_sfdp.lo
virtual memory exhausted: Cannot allocate memory
make[4]: *** [graph_sfdp.lo] Error 1

Mine is also i5 with 4Gb mem.

Please let me know if any additional information is needed.
Thanks a lot

attachment.html (2.07 KB)

Hi,

I noticed that the temp file( ccwxyz.s) getting bigger and bigger before
shooting this error.
So i did a "make -n" in the directory were did this error is reported to
get the exact compilation syntax and hand created the .lo file myself
(maually) for that file alone.

After that I was able to proceed with compilation successfully and able to
do examples. seems to a problem with the tools libtool, etc ...
May be you can also try that way.

attachment.html (2.17 KB)

Thanks for the hint, that did the trick for me as well.

attachment.html (2.42 KB)